/* count:
 *
 * This is a tool for ircII developers.
 * It produces keys.h, vars.h and hook.h out of proto files.
 * In fact it replaces the '$' symbol whenever it shows up
 * in stdin by a consecutive number into stdout.
 * Maybe this could be done with sed, but I don't know how...  :)
 *
 * Coded and makefilized by the lynX    ;)
 */
#include <stdio.h>

main()
{
	int	c,
		i = 0;

	while (EOF != (c = getchar()))
		if (c == '$')
			printf("%d", i++);
		else
			putchar(c);
	exit(0);
}
